Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.jena.graph
Class ProtegeGraph

    java.lang.Object
      com.hp.hpl.jena.graph.impl.GraphBase
          edu.stanford.smi.protegex.owl.jena.graph.ProtegeGraph

All Implemented Interfaces:
  com.hp.hpl.jena.graph.Graph, com.hp.hpl.jena.graph.GraphAdd, com.hp.hpl.jena.graph.impl.GraphWithPerform

    public class ProtegeGraph

extends com.hp.hpl.jena.graph.impl.GraphBase
implements com.hp.hpl.jena.graph.Graph

An experimental implementation of the Jena Graph interface so that a Protege triple store is wrapped.

Author:
  Holger Knublauch

Field Summary

Fields inherited from class com.hp.hpl.jena.graph.impl.GraphBase
`bulkHandler, closed, gem, pm, queryHandler, reifier, statisticsHandler, style, TOSTRING_TRIPLE_BASE, TOSTRING_TRIPLE_LIMIT`

Fields inherited from interface com.hp.hpl.jena.graph.Graph
`emptyGraph`

Constructor Summary
`ProtegeGraph(OWLModel owlModel, TripleStore ts)`

Method Summary
`void` | `add(com.hp.hpl.jena.graph.Triple triple)`
`void` | `close()`
`boolean` | `dependsOn(com.hp.hpl.jena.graph.Graph graph)`
`com.hp.hpl.jena.graph.Capabilities` | `getCapabilities()`
`com.hp.hpl.jena.graph.GraphEventManager` | `getEventManager()`
`com.hp.hpl.jena.shared.PrefixMapping` | `getPrefixMapping()`
`protected com.hp.hpl.jena.util.iterator.ExtendedIterator` | `graphBaseFind(com.hp.hpl.jena.graph.TripleMatch tripleMatch)`
`boolean` | `isEmpty()`
`boolean` | `isIsomorphicWith(com.hp.hpl.jena.graph.Graph graph)`
`com.hp.hpl.jena.graph.query.QueryHandler` | `queryHandler()`

Methods inherited from class com.hp.hpl.jena.graph.impl.GraphBase
`checkOpen, constructReifier, contains, contains, containsByFind, createStatisticsHandler, delete, find, find, forTestingOnly_graphBaseFind, getBulkUpdateHandler, getReifier, getStatisticsHandler, getTransactionHandler, graphBaseContains, graphBaseFind, graphBaseSize, isClosed, notifyAdd, notifyDelete, performAdd, performDelete, reifierContains, reifierSize, reifierTriples, size, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.hp.hpl.jena.graph.Graph
`contains, contains, delete, find, find, getBulkUpdateHandler, getReifier, getStatisticsHandler, getTransactionHandler, isClosed, size`

Constructor Detail

### ProtegeGraph

    public ProtegeGraph(OWLModel owlModel,
                        TripleStore ts)

Method Detail

### add

    public void add(com.hp.hpl.jena.graph.Triple triple)
             throws com.hp.hpl.jena.shared.AddDeniedException

  Specified by:
    `add` in interface `com.hp.hpl.jena.graph.GraphAdd`
  Overrides:
    `add` in class `com.hp.hpl.jena.graph.impl.GraphBase`
  Throws:
    `com.hp.hpl.jena.shared.AddDeniedException`

### close

    public void close()

  Specified by:
    `close` in interface `com.hp.hpl.jena.graph.Graph`
  Overrides:
    `close` in class `com.hp.hpl.jena.graph.impl.GraphBase`

### dependsOn

    public boolean dependsOn(com.hp.hpl.jena.graph.Graph graph)

  Specified by:
    `dependsOn` in interface `com.hp.hpl.jena.graph.Graph`
  Overrides:
    `dependsOn` in class `com.hp.hpl.jena.graph.impl.GraphBase`

### getCapabilities

    public com.hp.hpl.jena.graph.Capabilities getCapabilities()

  Specified by:
    `getCapabilities` in interface `com.hp.hpl.jena.graph.Graph`
  Overrides:
    `getCapabilities` in class `com.hp.hpl.jena.graph.impl.GraphBase`

### getEventManager

    public com.hp.hpl.jena.graph.GraphEventManager getEventManager()

  Specified by:
    `getEventManager` in interface `com.hp.hpl.jena.graph.Graph`
  Overrides:
    `getEventManager` in class `com.hp.hpl.jena.graph.impl.GraphBase`

### getPrefixMapping

    public com.hp.hpl.jena.shared.PrefixMapping getPrefixMapping()

  Specified by:
    `getPrefixMapping` in interface `com.hp.hpl.jena.graph.Graph`
  Overrides:
    `getPrefixMapping` in class `com.hp.hpl.jena.graph.impl.GraphBase`

### graphBaseFind

    protected com.hp.hpl.jena.util.iterator.ExtendedIterator graphBaseFind(com.hp.hpl.jena.graph.TripleMatch tripleMatch)

  Specified by:
    `graphBaseFind` in class `com.hp.hpl.jena.graph.impl.GraphBase`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `com.hp.hpl.jena.graph.Graph`
  Overrides:
    `isEmpty` in class `com.hp.hpl.jena.graph.impl.GraphBase`

### isIsomorphicWith

    public boolean isIsomorphicWith(com.hp.hpl.jena.graph.Graph graph)

  Specified by:
    `isIsomorphicWith` in interface `com.hp.hpl.jena.graph.Graph`
  Overrides:
    `isIsomorphicWith` in class `com.hp.hpl.jena.graph.impl.GraphBase`

### queryHandler

    public com.hp.hpl.jena.graph.query.QueryHandler queryHandler()

  Specified by:
    `queryHandler` in interface `com.hp.hpl.jena.graph.Graph`
  Overrides:
    `queryHandler` in class `com.hp.hpl.jena.graph.impl.GraphBase`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2012 Stanford University.